Bug 187614 - missing lisp/url/* files
missing lisp/url/* files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Coldwell
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-01 15:00 EST by Jonathan S. Shapiro
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-14 11:37:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan S. Shapiro 2006-04-01 15:00:31 EST
A number of emacs lisp packages rely on url.el, which *used* to be part of the
emacs/w3 package. Later, it was a separate package. By emacs 21 the package had
been integrated into the emacs distribution, found in the lisp/url/
subdirectory. With this integration, support for the separate package was dropped.

Redhat is not distributing this portion of emacs -- neither as part of the
common stuff nor as part of the base package nor as part of the lisp source. Can
this be fixed?

FYI, it became a common convention for people to package this as emacs-url, but
I think it is widely enough used to justify packaging in emacs-common. It is not
apparent to me why this did not just install in the usual way.

This is also an issue for FC4.

If you guys will adopt it (or equivalent), I'll hunt down the source of the
build bug and supply a patch.
Comment 1 Jens Petersen 2006-04-03 21:27:18 EDT
url.el is included in cvs emacs and so should be in Emacs 22 when it is
released.  Perhaps you're thinking of XEmacs, which includes w3 in xemacs-sumo:
xemacs is now part of Fedora Extras.

Having said that if url.el works with Emacs 21 and is generally useful
(what do you need it for?) then I don't see any problem with adding it
to site-lisp/ in emacs-common.

Note You need to log in before you can comment on or make changes to this bug.